#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>


char hello[] = {"Hello, World!"};
char string[] = {"Strike!"};

int main(int argc, char** argv) {
    Display   *dpy;
    Window     win;
    GC         gc;
    XEvent     event;
    XSizeHints hint;

    unsigned long fg, bg;
    int screen;
    int loop;
    
    if (!(dpy = XOpenDisplay(NULL))) {
	fprintf(stderr, "Unable to open display: %s\n", XDisplayString(NULL));
	exit (1);
    }
    
    screen = DefaultScreen(dpy);
    
    bg = WhitePixel(dpy, screen);
    fg = BlackPixel(dpy, screen);
    
    hint.x = 200;
    hint.y = 100;
    hint.width = 256;
    hint.height = 128;
    hint.flags = PPosition | PSize;
    
    win = XCreateSimpleWindow(dpy, DefaultRootWindow(dpy),
			      hint.x, hint.y, hint.width, hint.height,
			      5, fg, bg);
    XSetStandardProperties(dpy, win, hello, hello, None, argv, argc, &hint);
    
    gc = XCreateGC(dpy, win, 0, 0);
    XSetForeground(dpy, gc, fg);
    XSetBackground(dpy, gc, bg);
    
    XSelectInput(dpy, win, ButtonPressMask|ExposureMask);
    XMapRaised(dpy, win);
    
    loop = 1;
    
    while (loop) {
	XNextEvent(dpy, &event);
	switch (event.type) {
	    case Expose:
		if (event.xexpose.count == 0)
		    XDrawImageString (event.xexpose.display,
				      event.xexpose.window, gc,
				      50, 50, hello, strlen(hello));
		break;
	    case ButtonPress:
		XDrawImageString (event.xexpose.display,
                                  event.xexpose.window, gc,
                                  event.xbutton.x,
				  event.xbutton.y, 
				  string, strlen(string)); 
		break;
	}
	
	(void)printf("Got event: %i\n", event.type);
    }
    
    XFreeGC(dpy, gc);
    XDestroyWindow(dpy, win);
    XCloseDisplay(dpy);
    exit(0);
}








